Rated 4 out of 5 stars

I like this extension. But this version is not compatible with Fitefox 3.6.*.

I found in the install.rdf 3.6a1pre

This review is for a previous version of the add-on (2.23b1). 

Not compatible

I have just downloaded from here into FF 3.6.4
Works just fine
There are problems at the moment caused by
Norton
and
Bitdefender
Please research by going to the links posted above.
These problems cause certain extensions to seem incompatible in Firefox when they are not at all.
If you are not running Norton or Bitdefender and continue tol have problems please call by on Userlogos and let us examine the problem.
Many thanks